diff --git a/Source/Lib/Common/ASM_AVX2/EbComputeSAD_Intrinsic_AVX2.c b/Source/Lib/Common/ASM_AVX2/EbComputeSAD_Intrinsic_AVX2.c
index 20577b8877..cdfc437f1d 100644
--- a/Source/Lib/Common/ASM_AVX2/EbComputeSAD_Intrinsic_AVX2.c
+++ b/Source/Lib/Common/ASM_AVX2/EbComputeSAD_Intrinsic_AVX2.c
@@ -3760,7 +3760,7 @@ void get_eight_horizontal_search_point_results_8x8_16x16_pu_avx2_intrin(
     s16_128 = _mm_adds_epu16(s16_128, s_128[3]);
 
     //sotore the 8 SADs(16x16 SADs)
-    _mm_store_si128((__m128i*)p_sad16x16, s16_128);
+    _mm_storeu_si128((__m128i*)p_sad16x16, s16_128);
 
     //find the best for 16x16
     const __m128i minpos16 = _mm_minpos_epu16(s16_128);
diff --git a/Source/Lib/Common/ASM_AVX2/EbHighbdIntraPrediction_AVX2.c b/Source/Lib/Common/ASM_AVX2/EbHighbdIntraPrediction_AVX2.c
index 502962f9fa..a3a4608b5a 100644
--- a/Source/Lib/Common/ASM_AVX2/EbHighbdIntraPrediction_AVX2.c
+++ b/Source/Lib/Common/ASM_AVX2/EbHighbdIntraPrediction_AVX2.c
@@ -1538,9 +1538,9 @@ static INLINE void smooth_pred_8x2(const __m256i *const weights_w,
 {
     // 00 01 02 03 04 05 06 07  10 11 12 13 14 15 16 17
     const __m256i d = smooth_pred_kernel(weights_w, weights_h, rep, ab, lr);
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
     *dst += stride;
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
     *dst += stride;
 }
 
@@ -2074,9 +2074,9 @@ static INLINE void smooth_h_pred_8x2(const __m256i *const weights,
     const __m256i t = _mm256_shuffle_epi8(*lr, rep); // 0 0 0 0  1 1 1 1
     // 00 01 02 03 04 05 06 07  10 11 12 13 14 15 16 17
     const __m256i d = smooth_h_pred_kernel(weights, t);
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
     *dst += stride;
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
     *dst += stride;
     *lr = _mm256_srli_si256(*lr, 8); // 2 3 x x  3 4 x x
 }
@@ -2481,9 +2481,9 @@ static INLINE void smooth_v_pred_8x2(const __m256i weights, const __m256i rep,
 {
     // 00 01 02 03 04 05 06 07  10 11 12 13 14 15 16 17
     const __m256i d = smooth_v_pred_kernel(weights, rep, ab);
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 0));
     *dst += stride;
-    _mm_store_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
+    _mm_storeu_si128((__m128i *)*dst, _mm256_extracti128_si256(d, 1));
     *dst += stride;
 }
 
diff --git a/Source/Lib/Common/ASM_AVX2/EbIntraPrediction_Intrinsic_AVX2.c b/Source/Lib/Common/ASM_AVX2/EbIntraPrediction_Intrinsic_AVX2.c
index 8983cb13d3..c742ffb0aa 100644
--- a/Source/Lib/Common/ASM_AVX2/EbIntraPrediction_Intrinsic_AVX2.c
+++ b/Source/Lib/Common/ASM_AVX2/EbIntraPrediction_Intrinsic_AVX2.c
@@ -2077,12 +2077,12 @@ static void dr_prediction_z2_Nx4_avx2(int32_t N, uint8_t *dst, ptrdiff_t stride,
       base_y_c128 = _mm_srai_epi16(y_c128, frac_bits_y);
       mask128 = _mm_cmpgt_epi16(min_base_y128, base_y_c128);
       base_y_c128 = _mm_andnot_si128(mask128, base_y_c128);
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
 
       a0_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]], 0, 0, 0, 0);
       base_y_c128 = _mm_add_epi16(base_y_c128, _mm_srli_epi16(a16, 4));
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
       a1_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]], 0, 0, 0, 0);
 
@@ -2198,7 +2198,7 @@ static void dr_prediction_z2_Nx8_avx2(int32_t N, uint8_t *dst, ptrdiff_t stride,
       base_y_c128 = _mm_srai_epi16(y_c128, frac_bits_y);
       mask128 = _mm_cmpgt_epi16(min_base_y128, base_y_c128);
       base_y_c128 = _mm_andnot_si128(mask128, base_y_c128);
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
 
       a0_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]],
@@ -2206,7 +2206,7 @@ static void dr_prediction_z2_Nx8_avx2(int32_t N, uint8_t *dst, ptrdiff_t stride,
                             left[base_y_c[6]], left[base_y_c[7]]);
       base_y_c128 = _mm_add_epi16(
           base_y_c128, _mm_srli_epi16(_mm256_castsi256_si128(a16), 4));
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
 
       a1_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]],
@@ -3091,7 +3091,7 @@ static void highbd_dr_prediction_z2_Nx4_avx2(
       base_y_c128 = _mm_srai_epi16(y_c128, frac_bits_y);
       mask128 = _mm_cmpgt_epi16(min_base_y128, base_y_c128);
       base_y_c128 = _mm_andnot_si128(mask128, base_y_c128);
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
 
       a0_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]], 0, 0, 0, 0);
@@ -3233,7 +3233,7 @@ static void highbd_dr_prediction_z2_Nx8_avx2(int32_t N, uint16_t *dst, ptrdiff_t
       base_y_c128 = _mm_srai_epi16(y_c128, frac_bits_y);
       mask128 = _mm_cmpgt_epi16(min_base_y128, base_y_c128);
       base_y_c128 = _mm_andnot_si128(mask128, base_y_c128);
-      _mm_store_si128((__m128i *)base_y_c, base_y_c128);
+      _mm_storeu_si128((__m128i *)base_y_c, base_y_c128);
 
       a0_y = _mm_setr_epi16(left[base_y_c[0]], left[base_y_c[1]],
                             left[base_y_c[2]], left[base_y_c[3]],
diff --git a/Source/Lib/Common/ASM_AVX2/EbPictureOperators_Intrinsic_AVX2.c b/Source/Lib/Common/ASM_AVX2/EbPictureOperators_Intrinsic_AVX2.c
index ca401390b9..ac6b6e58a0 100644
--- a/Source/Lib/Common/ASM_AVX2/EbPictureOperators_Intrinsic_AVX2.c
+++ b/Source/Lib/Common/ASM_AVX2/EbPictureOperators_Intrinsic_AVX2.c
@@ -654,7 +654,7 @@ void unpack_avg_avx2_intrin(
             //AVG
             avg8_0_U8 = _mm_avg_epu8(out8_0_U8_L0, out8_0_U8_L1);
 #if ALSTORE
-            _mm_store_si128((__m128i*) dst_ptr, avg8_0_U8);
+            _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
 #else
             _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
 #endif
@@ -680,7 +680,7 @@ void unpack_avg_avx2_intrin(
             //AVG
             avg8_2_U8 = _mm_avg_epu8(out8_2_U8_L0, out8_2_U8_L1);
 #if ALSTORE
-            _mm_store_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
 #else
             _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
 #endif
@@ -776,8 +776,8 @@ void unpack_avg_avx2_intrin(
             avg8_0_U8 = _mm_avg_epu8(out8_0_U8_L0, out8_0_U8_L1);
             avg8_1_U8 = _mm_avg_epu8(out8_1_U8_L0, out8_1_U8_L1);
 #if ALSTORE
-            _mm_store_si128((__m128i*) dst_ptr, avg8_0_U8);
-            _mm_store_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
+            _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
 #else
             _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
             _mm_storeu_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
@@ -811,8 +811,8 @@ void unpack_avg_avx2_intrin(
             avg8_2_U8 = _mm_avg_epu8(out8_2_U8_L0, out8_2_U8_L1);
             avg8_3_U8 = _mm_avg_epu8(out8_3_U8_L0, out8_3_U8_L1);
 #if ALSTORE
-            _mm_store_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
-            _mm_store_si128((__m128i*)(dst_ptr + dst_stride + 16), avg8_3_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride + 16), avg8_3_U8);
 #else
             _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
             _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride + 16), avg8_3_U8);
@@ -904,10 +904,10 @@ void unpack_avg_avx2_intrin(
             avg8_2_U8 = _mm_avg_epu8(out8_2_U8_L0, out8_2_U8_L1);
             avg8_3_U8 = _mm_avg_epu8(out8_3_U8_L0, out8_3_U8_L1);
 #if ALSTORE
-            _mm_store_si128((__m128i*) dst_ptr, avg8_0_U8);
-            _mm_store_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
-            _mm_store_si128((__m128i*)(dst_ptr + 32), avg8_2_U8);
-            _mm_store_si128((__m128i*)(dst_ptr + 48), avg8_3_U8);
+            _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + 32), avg8_2_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + 48), avg8_3_U8);
 #else
             _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
             _mm_storeu_si128((__m128i*)(dst_ptr + 16), avg8_1_U8);
@@ -1406,7 +1406,7 @@ void unpack_avg_safe_sub_avx2_intrin(
             //AVG
             avg8_0_U8 = _mm_avg_epu8(out8_0_U8_L0, out8_0_U8_L1);
 
-            _mm_store_si128((__m128i*) dst_ptr, avg8_0_U8);
+            _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
 
             //--------
             //Line Two
@@ -1429,7 +1429,7 @@ void unpack_avg_safe_sub_avx2_intrin(
             //AVG
             avg8_2_U8 = _mm_avg_epu8(out8_2_U8_L0, out8_2_U8_L1);
 
-            _mm_store_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
+            _mm_storeu_si128((__m128i*)(dst_ptr + dst_stride), avg8_2_U8);
 
             dst_ptr += 2 * dst_stride;
             ref16_l0 += 2 * ref_l0_stride;
@@ -1450,7 +1450,7 @@ void unpack_avg_safe_sub_avx2_intrin(
             out8_0_U8_L1 = _mm_packus_epi16(_mm_srli_epi16(inPixel0, 2), _mm_srli_epi16(inPixel1, 2));
             //AVG
             avg8_0_U8 = _mm_avg_epu8(out8_0_U8_L0, out8_0_U8_L1);
-            _mm_store_si128((__m128i*) dst_ptr, avg8_0_U8);
+            _mm_storeu_si128((__m128i*) dst_ptr, avg8_0_U8);
         }
     }
     else if (width == 32)
diff --git a/Source/Lib/Common/ASM_AVX2/aom_subpixel_8t_intrin_avx2.c b/Source/Lib/Common/ASM_AVX2/aom_subpixel_8t_intrin_avx2.c
index 1b39badf78..f5e6f98d9e 100644
--- a/Source/Lib/Common/ASM_AVX2/aom_subpixel_8t_intrin_avx2.c
+++ b/Source/Lib/Common/ASM_AVX2/aom_subpixel_8t_intrin_avx2.c
@@ -217,8 +217,8 @@ static INLINE __m256i xx_loadu2_mi128(const void *hi, const void *lo) {
 
 static INLINE void xx_store2_mi128(const uint8_t *output_ptr,
                                    const ptrdiff_t stride, const __m256i *a) {
-  _mm_store_si128((__m128i *)output_ptr, _mm256_castsi256_si128(*a));
-  _mm_store_si128((__m128i *)(output_ptr + stride),
+  _mm_storeu_si128((__m128i *)output_ptr, _mm256_castsi256_si128(*a));
+  _mm_storeu_si128((__m128i *)(output_ptr + stride),
                   _mm256_extractf128_si256(*a, 1));
 }
 
@@ -744,7 +744,7 @@ static void aom_filter_block1d16_h4_avx2(
     srcRegFilt1_1 = _mm256_permute4x64_epi64(srcRegFilt1_1, 0x8);
 
     // save 16 bytes
-    _mm_store_si128((__m128i *)output_ptr,
+    _mm_storeu_si128((__m128i *)output_ptr,
                     _mm256_castsi256_si128(srcRegFilt1_1));
   }
 }
@@ -941,7 +941,7 @@ static void aom_filter_block1d16_h8_avx2(
     srcRegFilt1_1 = _mm_packus_epi16(srcRegFilt1_1, srcRegFilt2_1);
 
     // save 16 bytes
-    _mm_store_si128((__m128i *)output_ptr, srcRegFilt1_1);
+    _mm_storeu_si128((__m128i *)output_ptr, srcRegFilt1_1);
   }
 }
 
@@ -1472,7 +1472,7 @@ static void aom_filter_block1d16_v8_avx2(
     srcRegFilt1 = _mm_packus_epi16(srcRegFilt1, srcRegFilt3);
 
     // save 16 bytes
-    _mm_store_si128((__m128i *)output_ptr, srcRegFilt1);
+    _mm_storeu_si128((__m128i *)output_ptr, srcRegFilt1);
   }
 }
 
diff --git a/Source/Lib/Common/ASM_AVX2/convolve_avx2.h b/Source/Lib/Common/ASM_AVX2/convolve_avx2.h
index 6e8e83d807..a89a8e1533 100644
--- a/Source/Lib/Common/ASM_AVX2/convolve_avx2.h
+++ b/Source/Lib/Common/ASM_AVX2/convolve_avx2.h
@@ -642,7 +642,7 @@ static INLINE void xy_x_round_store_2x2_sse2(const __m128i res,
 static INLINE void xy_x_round_store_4x2_sse2(const __m128i res,
     int16_t *const dst) {
     const __m128i d = xy_x_round_sse2(res);
-    _mm_store_si128((__m128i *)dst, d);
+    _mm_storeu_si128((__m128i *)dst, d);
 }
 
 static INLINE void xy_x_round_store_8x2_sse2(const __m128i res[2],
@@ -651,8 +651,8 @@ static INLINE void xy_x_round_store_8x2_sse2(const __m128i res[2],
 
     r[0] = xy_x_round_sse2(res[0]);
     r[1] = xy_x_round_sse2(res[1]);
-    _mm_store_si128((__m128i *)dst, r[0]);
-    _mm_store_si128((__m128i *)(dst + 8), r[1]);
+    _mm_storeu_si128((__m128i *)dst, r[0]);
+    _mm_storeu_si128((__m128i *)(dst + 8), r[1]);
 }
 
 static INLINE void xy_x_round_store_8x2_avx2(const __m256i res,
diff --git a/Source/Lib/Common/ASM_AVX2/highbd_convolve_2d_avx2.c b/Source/Lib/Common/ASM_AVX2/highbd_convolve_2d_avx2.c
index 3b21f72609..215aa3eeed 100644
--- a/Source/Lib/Common/ASM_AVX2/highbd_convolve_2d_avx2.c
+++ b/Source/Lib/Common/ASM_AVX2/highbd_convolve_2d_avx2.c
@@ -232,11 +232,6 @@ void eb_av1_highbd_convolve_2d_copy_sr_avx2(
     (void)conv_params;
     (void)bd;
 
-    if (w >= 16) {
-        assert(!((intptr_t)dst % 16));
-        assert(!(dst_stride % 16));
-    }
-
     if (w == 2) {
         do {
             memcpy(dst, src, 2 * sizeof(*src));
@@ -269,9 +264,9 @@ void eb_av1_highbd_convolve_2d_copy_sr_avx2(
             src += src_stride;
             s[1] = _mm_loadu_si128((__m128i *)src);
             src += src_stride;
-            _mm_store_si128((__m128i *)dst, s[0]);
+            _mm_storeu_si128((__m128i *)dst, s[0]);
             dst += dst_stride;
-            _mm_store_si128((__m128i *)dst, s[1]);
+            _mm_storeu_si128((__m128i *)dst, s[1]);
             dst += dst_stride;
             h -= 2;
         } while (h);
diff --git a/Source/Lib/Common/ASM_AVX2/highbd_jnt_convolve_avx2.c b/Source/Lib/Common/ASM_AVX2/highbd_jnt_convolve_avx2.c
index cb1f8b8ca2..a6e966cd42 100644
--- a/Source/Lib/Common/ASM_AVX2/highbd_jnt_convolve_avx2.c
+++ b/Source/Lib/Common/ASM_AVX2/highbd_jnt_convolve_avx2.c
@@ -208,8 +208,8 @@ void eb_av1_highbd_jnt_convolve_2d_copy_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_clip);
                         const __m128i res_1 = _mm256_extracti128_si256(res_clip, 1);
 
-                        _mm_store_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
-                        _mm_store_si128(
+                        _mm_storeu_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
+                        _mm_storeu_si128(
                             (__m128i *)(&dst0[i * dst_stride0 + j + dst_stride0]), res_1);
                     }
                     else {
@@ -218,8 +218,8 @@ void eb_av1_highbd_jnt_convolve_2d_copy_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_unsigned_16b);
                         const __m128i res_1 = _mm256_extracti128_si256(res_unsigned_16b, 1);
 
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
                             res_1);
                     }
                 }
@@ -436,8 +436,8 @@ void eb_av1_highbd_jnt_convolve_2d_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_clip);
                         const __m128i res_1 = _mm256_extracti128_si256(res_clip, 1);
 
-                        _mm_store_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
-                        _mm_store_si128(
+                        _mm_storeu_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
+                        _mm_storeu_si128(
                             (__m128i *)(&dst0[i * dst_stride0 + j + dst_stride0]), res_1);
                     }
                     else {
@@ -446,8 +446,8 @@ void eb_av1_highbd_jnt_convolve_2d_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_16b);
                         const __m128i res_1 = _mm256_extracti128_si256(res_16b, 1);
 
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
                             res_1);
                     }
                 }
@@ -615,8 +615,8 @@ void eb_av1_highbd_jnt_convolve_x_avx2(
                     const __m128i res_0 = _mm256_castsi256_si128(res_clip);
                     const __m128i res_1 = _mm256_extracti128_si256(res_clip, 1);
 
-                    _mm_store_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
-                    _mm_store_si128((__m128i *)(&dst0[i * dst_stride0 + j + dst_stride0]),
+                    _mm_storeu_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
+                    _mm_storeu_si128((__m128i *)(&dst0[i * dst_stride0 + j + dst_stride0]),
                         res_1);
                 }
                 else {
@@ -625,8 +625,8 @@ void eb_av1_highbd_jnt_convolve_x_avx2(
                     const __m128i res_0 = _mm256_castsi256_si128(res_16b);
                     const __m128i res_1 = _mm256_extracti128_si256(res_16b, 1);
 
-                    _mm_store_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
-                    _mm_store_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
+                    _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
+                    _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
                         res_1);
                 }
             }
@@ -832,8 +832,8 @@ void eb_av1_highbd_jnt_convolve_y_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_clip);
                         const __m128i res_1 = _mm256_extracti128_si256(res_clip, 1);
 
-                        _mm_store_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
-                        _mm_store_si128(
+                        _mm_storeu_si128((__m128i *)(&dst0[i * dst_stride0 + j]), res_0);
+                        _mm_storeu_si128(
                             (__m128i *)(&dst0[i * dst_stride0 + j + dst_stride0]), res_1);
                     }
                     else {
@@ -842,8 +842,8 @@ void eb_av1_highbd_jnt_convolve_y_avx2(
                         const __m128i res_0 = _mm256_castsi256_si128(res_16b);
                         const __m128i res_1 = _mm256_extracti128_si256(res_16b, 1);
 
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
-                        _mm_store_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j]), res_0);
+                        _mm_storeu_si128((__m128i *)(&dst[i * dst_stride + j + dst_stride]),
                             res_1);
                     }
                 }
diff --git a/Source/Lib/Common/ASM_AVX2/txfm_common_avx2.h b/Source/Lib/Common/ASM_AVX2/txfm_common_avx2.h
index c334921fb8..940661fd72 100644
--- a/Source/Lib/Common/ASM_AVX2/txfm_common_avx2.h
+++ b/Source/Lib/Common/ASM_AVX2/txfm_common_avx2.h
@@ -299,8 +299,8 @@ static INLINE void store_rect_16bit_to_32bit_w8_avx2(const __m256i a,
   const __m256i b_lo = scale_round_avx2(a_lo, NewSqrt2);
   const __m256i b_hi = scale_round_avx2(a_hi, NewSqrt2);
   const __m256i temp = _mm256_permute2f128_si256(b_lo, b_hi, 0x31);
-  _mm_store_si128((__m128i *)b, _mm256_castsi256_si128(b_lo));
-  _mm_store_si128((__m128i *)(b + 4), _mm256_castsi256_si128(b_hi));
+  _mm_storeu_si128((__m128i *)b, _mm256_castsi256_si128(b_lo));
+  _mm_storeu_si128((__m128i *)(b + 4), _mm256_castsi256_si128(b_hi));
   _mm256_store_si256((__m256i *)(b + 64), temp);
 }
 
diff --git a/Source/Lib/Common/ASM_SSE2/EbDeblockingFilter_Intrinsic_SSE2.c b/Source/Lib/Common/ASM_SSE2/EbDeblockingFilter_Intrinsic_SSE2.c
index 64e45c793a..2c0da4e0ee 100644
--- a/Source/Lib/Common/ASM_SSE2/EbDeblockingFilter_Intrinsic_SSE2.c
+++ b/Source/Lib/Common/ASM_SSE2/EbDeblockingFilter_Intrinsic_SSE2.c
@@ -1691,10 +1691,10 @@ void aom_lpf_vertical_6_sse2(uint8_t *s, int32_t p,
 
     transpose6x6_sse2(&d0d1, &p0, &p1p0, &q1q0, &q0, &d5, &d0d1, &d2d3, &d4d5);
 
-    _mm_store_si128((__m128i *)(temp_dst), d0d1);
+    _mm_storeu_si128((__m128i *)(temp_dst), d0d1);
     memcpy((s - 3) + 0 * p, temp_dst, 6);
     memcpy((s - 3) + 1 * p, temp_dst + 8, 6);
-    _mm_store_si128((__m128i *)(temp_dst), d2d3);
+    _mm_storeu_si128((__m128i *)(temp_dst), d2d3);
     memcpy((s - 3) + 2 * p, temp_dst, 6);
     memcpy((s - 3) + 3 * p, temp_dst + 8, 6);
 }
@@ -2450,8 +2450,8 @@ void aom_highbd_lpf_horizontal_14_dual_sse2(uint16_t *s, int32_t pitch,
 
     highbd_lpf_internal_14_dual_sse2(p, q, _blimit, _limit, _thresh, bd);
     for (i = 0; i < 6; i++) {
-        _mm_store_si128((__m128i *)(s - (i + 1) * pitch), p[i]);
-        _mm_store_si128((__m128i *)(s + i * pitch), q[i]);
+        _mm_storeu_si128((__m128i *)(s - (i + 1) * pitch), p[i]);
+        _mm_storeu_si128((__m128i *)(s + i * pitch), q[i]);
     }
 }
 
diff --git a/Source/Lib/Common/ASM_SSE2/av1_txfm_sse2.h b/Source/Lib/Common/ASM_SSE2/av1_txfm_sse2.h
index 0b371982c1..c9b2f37fae 100644
--- a/Source/Lib/Common/ASM_SSE2/av1_txfm_sse2.h
+++ b/Source/Lib/Common/ASM_SSE2/av1_txfm_sse2.h
@@ -93,7 +93,7 @@ extern "C" {
     static INLINE void store_16bit_to_32bit_w4(const __m128i a, int32_t *const b) {
         const __m128i a_lo = _mm_unpacklo_epi16(a, a);
         const __m128i a_1 = _mm_srai_epi32(a_lo, 16);
-        _mm_store_si128((__m128i *)b, a_1);
+        _mm_storeu_si128((__m128i *)b, a_1);
     }
 
     // Store 8 16 bit values. Sign extend the values.
@@ -102,8 +102,8 @@ extern "C" {
         const __m128i a_hi = _mm_unpackhi_epi16(a, a);
         const __m128i a_1 = _mm_srai_epi32(a_lo, 16);
         const __m128i a_2 = _mm_srai_epi32(a_hi, 16);
-        _mm_store_si128((__m128i *)b, a_1);
-        _mm_store_si128((__m128i *)(b + 4), a_2);
+        _mm_storeu_si128((__m128i *)b, a_1);
+        _mm_storeu_si128((__m128i *)(b + 4), a_2);
     }
 
     static INLINE __m128i scale_round_sse2(const __m128i a, const int32_t scale) {
@@ -117,7 +117,7 @@ extern "C" {
         const __m128i one = _mm_set1_epi16(1);
         const __m128i a_lo = _mm_unpacklo_epi16(a, one);
         const __m128i b_lo = scale_round_sse2(a_lo, NewSqrt2);
-        _mm_store_si128((__m128i *)b, b_lo);
+        _mm_storeu_si128((__m128i *)b, b_lo);
     }
 
     static INLINE void store_rect_16bit_to_32bit(const __m128i a,
@@ -127,8 +127,8 @@ extern "C" {
         const __m128i a_hi = _mm_unpackhi_epi16(a, one);
         const __m128i b_lo = scale_round_sse2(a_lo, NewSqrt2);
         const __m128i b_hi = scale_round_sse2(a_hi, NewSqrt2);
-        _mm_store_si128((__m128i *)b, b_lo);
-        _mm_store_si128((__m128i *)(b + 4), b_hi);
+        _mm_storeu_si128((__m128i *)b, b_lo);
+        _mm_storeu_si128((__m128i *)(b + 4), b_hi);
     }
 
     static INLINE void load_buffer_16bit_to_16bit_w4(const int16_t *const in,
@@ -215,7 +215,7 @@ extern "C" {
         uint16_t *out,
         const int32_t stride) {
         for (int32_t i = 0; i < 8; ++i)
-            _mm_store_si128((__m128i *)(out + i * stride), in[i]);
+            _mm_storeu_si128((__m128i *)(out + i * stride), in[i]);
     }
 
     static INLINE void round_shift_16bit(__m128i *in, int32_t size, int32_t bit) {
diff --git a/Source/Lib/Common/ASM_SSE2/encodetxb_sse2.c b/Source/Lib/Common/ASM_SSE2/encodetxb_sse2.c
index d1e757273f..7bfa34806d 100644
--- a/Source/Lib/Common/ASM_SSE2/encodetxb_sse2.c
+++ b/Source/Lib/Common/ASM_SSE2/encodetxb_sse2.c
@@ -111,7 +111,7 @@ static INLINE void get_4_nz_map_contexts_2d(const uint8_t *levels,
         load_levels_4x4x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset);
-        _mm_store_si128((__m128i *)cc, count);
+        _mm_storeu_si128((__m128i *)cc, count);
         pos_to_offset = pos_to_offset_large;
         levels += 4 * stride;
         cc += 16;
@@ -158,7 +158,7 @@ static INLINE void get_8_coeff_contexts_2d(const uint8_t *levels,
         load_levels_8x2x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset[0]);
-        _mm_store_si128((__m128i *)cc, count);
+        _mm_storeu_si128((__m128i *)cc, count);
         pos_to_offset[0] = pos_to_offset[1];
         pos_to_offset[1] = pos_to_offset[2];
         levels += 2 * stride;
@@ -225,7 +225,7 @@ static INLINE void get_16n_coeff_contexts_2d(const uint8_t *levels,
             load_levels_16x1x5_sse2(levels, stride, offsets, level);
             count = get_coeff_contexts_kernel_sse2(level);
             count = _mm_add_epi8(count, pos_to_offset[0]);
-            _mm_store_si128((__m128i *)cc, count);
+            _mm_storeu_si128((__m128i *)cc, count);
             levels += 16;
             cc += 16;
             w -= 16;
@@ -268,7 +268,7 @@ static INLINE void get_4_nz_map_contexts_hor(const uint8_t *levels,
         load_levels_4x4x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset);
-        _mm_store_si128((__m128i *)coeff_contexts, count);
+        _mm_storeu_si128((__m128i *)coeff_contexts, count);
         levels += 4 * stride;
         coeff_contexts += 16;
         row -= 4;
@@ -300,7 +300,7 @@ static INLINE void get_4_nz_map_contexts_ver(const uint8_t *levels,
         load_levels_4x4x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset);
-        _mm_store_si128((__m128i *)coeff_contexts, count);
+        _mm_storeu_si128((__m128i *)coeff_contexts, count);
         pos_to_offset = pos_to_offset_large;
         levels += 4 * stride;
         coeff_contexts += 16;
@@ -332,7 +332,7 @@ static INLINE void get_8_coeff_contexts_hor(const uint8_t *levels,
         load_levels_8x2x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset);
-        _mm_store_si128((__m128i *)coeff_contexts, count);
+        _mm_storeu_si128((__m128i *)coeff_contexts, count);
         levels += 2 * stride;
         coeff_contexts += 16;
         row -= 2;
@@ -364,7 +364,7 @@ static INLINE void get_8_coeff_contexts_ver(const uint8_t *levels,
         load_levels_8x2x5_sse2(levels, stride, offsets, level);
         count = get_coeff_contexts_kernel_sse2(level);
         count = _mm_add_epi8(count, pos_to_offset);
-        _mm_store_si128((__m128i *)coeff_contexts, count);
+        _mm_storeu_si128((__m128i *)coeff_contexts, count);
         pos_to_offset = pos_to_offset_large;
         levels += 2 * stride;
         coeff_contexts += 16;
@@ -408,7 +408,7 @@ static INLINE void get_16n_coeff_contexts_hor(const uint8_t *levels,
             load_levels_16x1x5_sse2(levels, stride, offsets, level);
             count = get_coeff_contexts_kernel_sse2(level);
             count = _mm_add_epi8(count, pos_to_offset);
-            _mm_store_si128((__m128i *)coeff_contexts, count);
+            _mm_storeu_si128((__m128i *)coeff_contexts, count);
             pos_to_offset = pos_to_offset_large;
             levels += 16;
             coeff_contexts += 16;
@@ -442,7 +442,7 @@ static INLINE void get_16n_coeff_contexts_ver(const uint8_t *levels,
             load_levels_16x1x5_sse2(levels, stride, offsets, level);
             count = get_coeff_contexts_kernel_sse2(level);
             count = _mm_add_epi8(count, pos_to_offset[0]);
-            _mm_store_si128((__m128i *)coeff_contexts, count);
+            _mm_storeu_si128((__m128i *)coeff_contexts, count);
             levels += 16;
             coeff_contexts += 16;
             w -= 16;
diff --git a/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2.c b/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2.c
index fb4500a677..e8d2dc035e 100644
--- a/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2.c
+++ b/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2.c
@@ -70,13 +70,13 @@ void eb_aom_highbd_h_predictor_8x4_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i row3 = _mm_shufflelo_epi16(left_u16, 0xff);
     (void)above;
     (void)bd;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row0, row0));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row0, row0));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row1, row1));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row1, row1));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row2, row2));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row2, row2));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row3, row3));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row3, row3));
 }
 
 void eb_aom_highbd_h_predictor_8x8_sse2(uint16_t *dst, ptrdiff_t stride,
@@ -93,21 +93,21 @@ void eb_aom_highbd_h_predictor_8x8_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i row7 = _mm_shufflehi_epi16(left_u16, 0xff);
     (void)above;
     (void)bd;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row0, row0));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row0, row0));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row1, row1));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row1, row1));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row2, row2));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row2, row2));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpacklo_epi64(row3, row3));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpacklo_epi64(row3, row3));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpackhi_epi64(row4, row4));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpackhi_epi64(row4, row4));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpackhi_epi64(row5, row5));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpackhi_epi64(row5, row5));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpackhi_epi64(row6, row6));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpackhi_epi64(row6, row6));
     dst += stride;
-    _mm_store_si128((__m128i *)dst, _mm_unpackhi_epi64(row7, row7));
+    _mm_storeu_si128((__m128i *)dst, _mm_unpackhi_epi64(row7, row7));
 }
 
 void eb_aom_highbd_h_predictor_8x16_sse2(uint16_t *dst, ptrdiff_t stride,
@@ -137,16 +137,16 @@ void eb_aom_highbd_h_predictor_8x32_sse2(uint16_t *dst, ptrdiff_t stride,
 static INLINE void h_store_16_unpacklo(uint16_t **dst, const ptrdiff_t stride,
     const __m128i *row) {
     const __m128i val = _mm_unpacklo_epi64(*row, *row);
-    _mm_store_si128((__m128i *)*dst, val);
-    _mm_store_si128((__m128i *)(*dst + 8), val);
+    _mm_storeu_si128((__m128i *)*dst, val);
+    _mm_storeu_si128((__m128i *)(*dst + 8), val);
     *dst += stride;
 }
 
 static INLINE void h_store_16_unpackhi(uint16_t **dst, const ptrdiff_t stride,
     const __m128i *row) {
     const __m128i val = _mm_unpackhi_epi64(*row, *row);
-    _mm_store_si128((__m128i *)(*dst), val);
-    _mm_store_si128((__m128i *)(*dst + 8), val);
+    _mm_storeu_si128((__m128i *)(*dst), val);
+    _mm_storeu_si128((__m128i *)(*dst + 8), val);
     *dst += stride;
 }
 
@@ -208,20 +208,20 @@ void eb_aom_highbd_h_predictor_16x32_sse2(uint16_t *dst, ptrdiff_t stride,
 static INLINE void h_store_32_unpacklo(uint16_t **dst, const ptrdiff_t stride,
     const __m128i *row) {
     const __m128i val = _mm_unpacklo_epi64(*row, *row);
-    _mm_store_si128((__m128i *)(*dst), val);
-    _mm_store_si128((__m128i *)(*dst + 8), val);
-    _mm_store_si128((__m128i *)(*dst + 16), val);
-    _mm_store_si128((__m128i *)(*dst + 24), val);
+    _mm_storeu_si128((__m128i *)(*dst), val);
+    _mm_storeu_si128((__m128i *)(*dst + 8), val);
+    _mm_storeu_si128((__m128i *)(*dst + 16), val);
+    _mm_storeu_si128((__m128i *)(*dst + 24), val);
     *dst += stride;
 }
 
 static INLINE void h_store_32_unpackhi(uint16_t **dst, const ptrdiff_t stride,
     const __m128i *row) {
     const __m128i val = _mm_unpackhi_epi64(*row, *row);
-    _mm_store_si128((__m128i *)(*dst), val);
-    _mm_store_si128((__m128i *)(*dst + 8), val);
-    _mm_store_si128((__m128i *)(*dst + 16), val);
-    _mm_store_si128((__m128i *)(*dst + 24), val);
+    _mm_storeu_si128((__m128i *)(*dst), val);
+    _mm_storeu_si128((__m128i *)(*dst + 8), val);
+    _mm_storeu_si128((__m128i *)(*dst + 16), val);
+    _mm_storeu_si128((__m128i *)(*dst + 24), val);
     *dst += stride;
 }
 
@@ -407,7 +407,7 @@ static INLINE void dc_store_8xh(uint16_t *dst, ptrdiff_t stride, int32_t height,
     const __m128i dc_dup = _mm_unpacklo_epi64(dc_dup_lo, dc_dup_lo);
     int32_t i;
     for (i = 0; i < height; ++i, dst += stride)
-        _mm_store_si128((__m128i *)dst, dc_dup);
+        _mm_storeu_si128((__m128i *)dst, dc_dup);
 }
 
 // -----------------------------------------------------------------------------
@@ -583,10 +583,10 @@ void eb_aom_highbd_v_predictor_8x4_sse2(uint16_t *dst, ptrdiff_t stride,
     (void)left;
     (void)bd;
     const __m128i above_u16 = _mm_load_si128((const __m128i *)above);
-    _mm_store_si128((__m128i *)dst, above_u16);
-    _mm_store_si128((__m128i *)(dst + stride), above_u16);
-    _mm_store_si128((__m128i *)(dst + 2 * stride), above_u16);
-    _mm_store_si128((__m128i *)(dst + 3 * stride), above_u16);
+    _mm_storeu_si128((__m128i *)dst, above_u16);
+    _mm_storeu_si128((__m128i *)(dst + stride), above_u16);
+    _mm_storeu_si128((__m128i *)(dst + 2 * stride), above_u16);
+    _mm_storeu_si128((__m128i *)(dst + 3 * stride), above_u16);
 }
 
 void eb_aom_highbd_v_predictor_8x16_sse2(uint16_t *dst, ptrdiff_t stride,
@@ -597,10 +597,10 @@ void eb_aom_highbd_v_predictor_8x16_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i above_u16 = _mm_load_si128((const __m128i *)above);
     int32_t i;
     for (i = 0; i < 4; ++i) {
-        _mm_store_si128((__m128i *)dst, above_u16);
-        _mm_store_si128((__m128i *)(dst + stride), above_u16);
-        _mm_store_si128((__m128i *)(dst + 2 * stride), above_u16);
-        _mm_store_si128((__m128i *)(dst + 3 * stride), above_u16);
+        _mm_storeu_si128((__m128i *)dst, above_u16);
+        _mm_storeu_si128((__m128i *)(dst + stride), above_u16);
+        _mm_storeu_si128((__m128i *)(dst + 2 * stride), above_u16);
+        _mm_storeu_si128((__m128i *)(dst + 3 * stride), above_u16);
         dst += stride << 2;
     }
 }
@@ -613,10 +613,10 @@ void eb_aom_highbd_v_predictor_8x32_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i above_u16 = _mm_load_si128((const __m128i *)above);
     int32_t i;
     for (i = 0; i < 8; ++i) {
-        _mm_store_si128((__m128i *)dst, above_u16);
-        _mm_store_si128((__m128i *)(dst + stride), above_u16);
-        _mm_store_si128((__m128i *)(dst + 2 * stride), above_u16);
-        _mm_store_si128((__m128i *)(dst + 3 * stride), above_u16);
+        _mm_storeu_si128((__m128i *)dst, above_u16);
+        _mm_storeu_si128((__m128i *)(dst + stride), above_u16);
+        _mm_storeu_si128((__m128i *)(dst + 2 * stride), above_u16);
+        _mm_storeu_si128((__m128i *)(dst + 3 * stride), above_u16);
         dst += stride << 2;
     }
 }
@@ -693,13 +693,13 @@ void eb_aom_highbd_dc_predictor_8x4_sse2(uint16_t *dst, ptrdiff_t stride,
     sum32 /= 12;
     const __m128i row = _mm_set1_epi16((uint16_t)sum32);
 
-    _mm_store_si128((__m128i *)dst, row);
+    _mm_storeu_si128((__m128i *)dst, row);
     dst += stride;
-    _mm_store_si128((__m128i *)dst, row);
+    _mm_storeu_si128((__m128i *)dst, row);
     dst += stride;
-    _mm_store_si128((__m128i *)dst, row);
+    _mm_storeu_si128((__m128i *)dst, row);
     dst += stride;
-    _mm_store_si128((__m128i *)dst, row);
+    _mm_storeu_si128((__m128i *)dst, row);
 }
 
 void eb_aom_highbd_dc_predictor_8x16_sse2(uint16_t *dst, ptrdiff_t stride,
@@ -718,13 +718,13 @@ void eb_aom_highbd_dc_predictor_8x16_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i row = _mm_set1_epi16((uint16_t)sum32);
     int32_t i;
     for (i = 0; i < 4; ++i) {
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
     }
 }
@@ -740,13 +740,13 @@ void eb_aom_highbd_dc_predictor_8x32_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i row = _mm_set1_epi16((uint16_t)sum32);
     int32_t i;
     for (i = 0; i < 8; ++i) {
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)dst, row);
         dst += stride;
     }
 }
@@ -765,25 +765,25 @@ void eb_aom_highbd_dc_predictor_32x16_sse2(uint16_t *dst, ptrdiff_t stride,
     const __m128i row = _mm_set1_epi16((uint16_t)sum32);
     int32_t i;
     for (i = 0; i < 4; ++i) {
-        _mm_store_si128((__m128i *)dst, row);
-        _mm_store_si128((__m128i *)(dst + 8), row);
-        _mm_store_si128((__m128i *)(dst + 16), row);
-        _mm_store_si128((__m128i *)(dst + 24), row);
+        _mm_storeu_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)(dst + 8), row);
+        _mm_storeu_si128((__m128i *)(dst + 16), row);
+        _mm_storeu_si128((__m128i *)(dst + 24), row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
-        _mm_store_si128((__m128i *)(dst + 8), row);
-        _mm_store_si128((__m128i *)(dst + 16), row);
-        _mm_store_si128((__m128i *)(dst + 24), row);
+        _mm_storeu_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)(dst + 8), row);
+        _mm_storeu_si128((__m128i *)(dst + 16), row);
+        _mm_storeu_si128((__m128i *)(dst + 24), row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
-        _mm_store_si128((__m128i *)(dst + 8), row);
-        _mm_store_si128((__m128i *)(dst + 16), row);
-        _mm_store_si128((__m128i *)(dst + 24), row);
+        _mm_storeu_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)(dst + 8), row);
+        _mm_storeu_si128((__m128i *)(dst + 16), row);
+        _mm_storeu_si128((__m128i *)(dst + 24), row);
         dst += stride;
-        _mm_store_si128((__m128i *)dst, row);
-        _mm_store_si128((__m128i *)(dst + 8), row);
-        _mm_store_si128((__m128i *)(dst + 16), row);
-        _mm_store_si128((__m128i *)(dst + 24), row);
+        _mm_storeu_si128((__m128i *)dst, row);
+        _mm_storeu_si128((__m128i *)(dst + 8), row);
+        _mm_storeu_si128((__m128i *)(dst + 16), row);
+        _mm_storeu_si128((__m128i *)(dst + 24), row);
         dst += stride;
     }
 }
diff --git a/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2_.asm b/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2_.asm
index 899cfdcd4e..4fab667baa 100644
--- a/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2_.asm
+++ b/Source/Lib/Common/ASM_SSE2/highbd_intrapred_sse2_.asm
@@ -48,8 +48,8 @@ cglobal highbd_dc_predictor_8x8, 4, 5, 4, dst, stride, above, left, goffset
   GET_GOT     goffsetq
 
   pxor                  m1, m1
-  mova                  m0, [aboveq]
-  mova                  m2, [leftq]
+  movu                  m0, [aboveq]
+  movu                  m2, [leftq]
   DEFINE_ARGS dst, stride, stride3, one
   mov                 oned, 0x00010001
   lea             stride3q, [strideq*3]
@@ -65,15 +65,15 @@ cglobal highbd_dc_predictor_8x8, 4, 5, 4, dst, stride, above, left, goffset
   psrlw                 m0, 4
   pshuflw               m0, m0, 0x0
   punpcklqdq            m0, m0
-  mova   [dstq           ], m0
-  mova   [dstq+strideq*2 ], m0
-  mova   [dstq+strideq*4 ], m0
-  mova   [dstq+stride3q*2], m0
+  movu   [dstq           ], m0
+  movu   [dstq+strideq*2 ], m0
+  movu   [dstq+strideq*4 ], m0
+  movu   [dstq+stride3q*2], m0
   lea                 dstq, [dstq+strideq*8]
-  mova   [dstq           ], m0
-  mova   [dstq+strideq*2 ], m0
-  mova   [dstq+strideq*4 ], m0
-  mova   [dstq+stride3q*2], m0
+  movu   [dstq           ], m0
+  movu   [dstq+strideq*2 ], m0
+  movu   [dstq+strideq*4 ], m0
+  movu   [dstq+stride3q*2], m0
 
   RESTORE_GOT
   RET
@@ -90,18 +90,18 @@ cglobal highbd_v_predictor_4x4, 3, 3, 1, dst, stride, above
 
 INIT_XMM sse2
 cglobal highbd_v_predictor_8x8, 3, 3, 1, dst, stride, above
-  mova                  m0, [aboveq]
+  movu                  m0, [aboveq]
   DEFINE_ARGS dst, stride, stride3
   lea             stride3q, [strideq*3]
-  mova   [dstq           ], m0
-  mova   [dstq+strideq*2 ], m0
-  mova   [dstq+strideq*4 ], m0
-  mova   [dstq+stride3q*2], m0
+  movu   [dstq           ], m0
+  movu   [dstq+strideq*2 ], m0
+  movu   [dstq+strideq*4 ], m0
+  movu   [dstq+stride3q*2], m0
   lea                 dstq, [dstq+strideq*8]
-  mova   [dstq           ], m0
-  mova   [dstq+strideq*2 ], m0
-  mova   [dstq+strideq*4 ], m0
-  mova   [dstq+stride3q*2], m0
+  movu   [dstq           ], m0
+  movu   [dstq+strideq*2 ], m0
+  movu   [dstq+strideq*4 ], m0
+  movu   [dstq+stride3q*2], m0
   RET
 
 
diff --git a/Source/Lib/Common/ASM_SSE4_1/EbComputeSAD_Intrinsic_SSE4_1.c b/Source/Lib/Common/ASM_SSE4_1/EbComputeSAD_Intrinsic_SSE4_1.c
index cf15e7f498..dc96af39de 100644
--- a/Source/Lib/Common/ASM_SSE4_1/EbComputeSAD_Intrinsic_SSE4_1.c
+++ b/Source/Lib/Common/ASM_SSE4_1/EbComputeSAD_Intrinsic_SSE4_1.c
@@ -4487,7 +4487,7 @@ void get_eight_horizontal_search_point_results_8x8_16x16_pu_sse41_intrin(
         s1 = _mm_adds_epu16(sad[2], sad[3]);
         s3 = _mm_adds_epu16(s0, s1);
         //sotore the 8 SADs(16x16 SADs)
-        _mm_store_si128((__m128i*)p_sad16x16, s3);
+        _mm_storeu_si128((__m128i*)p_sad16x16, s3);
         //find the best for 16x16
         s3 = _mm_minpos_epu16(s3);
         temSum = _mm_extract_epi16(s3, 0);
diff --git a/Source/Lib/Common/ASM_SSE4_1/highbd_fwd_txfm_sse4.c b/Source/Lib/Common/ASM_SSE4_1/highbd_fwd_txfm_sse4.c
index ffda8a392c..994d9e32cf 100644
--- a/Source/Lib/Common/ASM_SSE4_1/highbd_fwd_txfm_sse4.c
+++ b/Source/Lib/Common/ASM_SSE4_1/highbd_fwd_txfm_sse4.c
@@ -159,10 +159,10 @@ static void fdct4x4_sse4_1(__m128i *in, __m128i *out, int32_t bit,
 }
 
 static INLINE void write_buffer_4x4(__m128i *res, int32_t *output) {
-    _mm_store_si128((__m128i *)(output + 0 * 4), res[0]);
-    _mm_store_si128((__m128i *)(output + 1 * 4), res[1]);
-    _mm_store_si128((__m128i *)(output + 2 * 4), res[2]);
-    _mm_store_si128((__m128i *)(output + 3 * 4), res[3]);
+    _mm_storeu_si128((__m128i *)(output + 0 * 4), res[0]);
+    _mm_storeu_si128((__m128i *)(output + 1 * 4), res[1]);
+    _mm_storeu_si128((__m128i *)(output + 2 * 4), res[2]);
+    _mm_storeu_si128((__m128i *)(output + 3 * 4), res[3]);
 }
 
 static void fadst4x4_sse4_1(__m128i *in, __m128i *out, int32_t bit,
diff --git a/Source/Lib/Common/ASM_SSE4_1/highbd_inv_txfm_sse4.c b/Source/Lib/Common/ASM_SSE4_1/highbd_inv_txfm_sse4.c
index 6d2bff0e43..3af87f86ce 100644
--- a/Source/Lib/Common/ASM_SSE4_1/highbd_inv_txfm_sse4.c
+++ b/Source/Lib/Common/ASM_SSE4_1/highbd_inv_txfm_sse4.c
@@ -61,10 +61,10 @@ typedef void(*transform_1d_sse4_1)(__m128i *in, __m128i *out, int32_t bit,
     int32_t do_cols, int32_t bd, int32_t out_shift);
 
 static INLINE void load_buffer_4x4(const int32_t *coeff, __m128i *in) {
-    in[0] = _mm_load_si128((const __m128i *)(coeff + 0));
-    in[1] = _mm_load_si128((const __m128i *)(coeff + 4));
-    in[2] = _mm_load_si128((const __m128i *)(coeff + 8));
-    in[3] = _mm_load_si128((const __m128i *)(coeff + 12));
+    in[0] = _mm_loadu_si128((const __m128i *)(coeff + 0));
+    in[1] = _mm_loadu_si128((const __m128i *)(coeff + 4));
+    in[2] = _mm_loadu_si128((const __m128i *)(coeff + 8));
+    in[3] = _mm_loadu_si128((const __m128i *)(coeff + 12));
 }
 
 static void addsub_sse4_1(const __m128i in0, const __m128i in1, __m128i *out0,
@@ -377,22 +377,22 @@ void eb_av1_inv_txfm2d_add_4x4_sse4_1(const int32_t *input,
 
 // 8x8
 static void load_buffer_8x8(const int32_t *coeff, __m128i *in) {
-    in[0] = _mm_load_si128((const __m128i *)(coeff + 0));
-    in[1] = _mm_load_si128((const __m128i *)(coeff + 4));
-    in[2] = _mm_load_si128((const __m128i *)(coeff + 8));
-    in[3] = _mm_load_si128((const __m128i *)(coeff + 12));
-    in[4] = _mm_load_si128((const __m128i *)(coeff + 16));
-    in[5] = _mm_load_si128((const __m128i *)(coeff + 20));
-    in[6] = _mm_load_si128((const __m128i *)(coeff + 24));
-    in[7] = _mm_load_si128((const __m128i *)(coeff + 28));
-    in[8] = _mm_load_si128((const __m128i *)(coeff + 32));
-    in[9] = _mm_load_si128((const __m128i *)(coeff + 36));
-    in[10] = _mm_load_si128((const __m128i *)(coeff + 40));
-    in[11] = _mm_load_si128((const __m128i *)(coeff + 44));
-    in[12] = _mm_load_si128((const __m128i *)(coeff + 48));
-    in[13] = _mm_load_si128((const __m128i *)(coeff + 52));
-    in[14] = _mm_load_si128((const __m128i *)(coeff + 56));
-    in[15] = _mm_load_si128((const __m128i *)(coeff + 60));
+    in[0] = _mm_loadu_si128((const __m128i *)(coeff + 0));
+    in[1] = _mm_loadu_si128((const __m128i *)(coeff + 4));
+    in[2] = _mm_loadu_si128((const __m128i *)(coeff + 8));
+    in[3] = _mm_loadu_si128((const __m128i *)(coeff + 12));
+    in[4] = _mm_loadu_si128((const __m128i *)(coeff + 16));
+    in[5] = _mm_loadu_si128((const __m128i *)(coeff + 20));
+    in[6] = _mm_loadu_si128((const __m128i *)(coeff + 24));
+    in[7] = _mm_loadu_si128((const __m128i *)(coeff + 28));
+    in[8] = _mm_loadu_si128((const __m128i *)(coeff + 32));
+    in[9] = _mm_loadu_si128((const __m128i *)(coeff + 36));
+    in[10] = _mm_loadu_si128((const __m128i *)(coeff + 40));
+    in[11] = _mm_loadu_si128((const __m128i *)(coeff + 44));
+    in[12] = _mm_loadu_si128((const __m128i *)(coeff + 48));
+    in[13] = _mm_loadu_si128((const __m128i *)(coeff + 52));
+    in[14] = _mm_loadu_si128((const __m128i *)(coeff + 56));
+    in[15] = _mm_loadu_si128((const __m128i *)(coeff + 60));
 }
 
 static void idct8x8_sse4_1(__m128i *in, __m128i *out, int32_t bit) {
@@ -850,14 +850,14 @@ static void write_buffer_8x8(__m128i *in,
 
     round_shift_8x8(in, shift);
 
-    v0 = _mm_load_si128((__m128i const *)(output_r + 0 * stride_r));
-    v1 = _mm_load_si128((__m128i const *)(output_r + 1 * stride_r));
-    v2 = _mm_load_si128((__m128i const *)(output_r + 2 * stride_r));
-    v3 = _mm_load_si128((__m128i const *)(output_r + 3 * stride_r));
-    v4 = _mm_load_si128((__m128i const *)(output_r + 4 * stride_r));
-    v5 = _mm_load_si128((__m128i const *)(output_r + 5 * stride_r));
-    v6 = _mm_load_si128((__m128i const *)(output_r + 6 * stride_r));
-    v7 = _mm_load_si128((__m128i const *)(output_r + 7 * stride_r));
+    v0 = _mm_loadu_si128((__m128i const *)(output_r + 0 * stride_r));
+    v1 = _mm_loadu_si128((__m128i const *)(output_r + 1 * stride_r));
+    v2 = _mm_loadu_si128((__m128i const *)(output_r + 2 * stride_r));
+    v3 = _mm_loadu_si128((__m128i const *)(output_r + 3 * stride_r));
+    v4 = _mm_loadu_si128((__m128i const *)(output_r + 4 * stride_r));
+    v5 = _mm_loadu_si128((__m128i const *)(output_r + 5 * stride_r));
+    v6 = _mm_loadu_si128((__m128i const *)(output_r + 6 * stride_r));
+    v7 = _mm_loadu_si128((__m128i const *)(output_r + 7 * stride_r));
 
     if (flipud) {
         u0 = get_recon_8x8(v0, in[14], in[15], fliplr, bd);
@@ -880,14 +880,14 @@ static void write_buffer_8x8(__m128i *in,
         u7 = get_recon_8x8(v7, in[14], in[15], fliplr, bd);
     }
 
-    _mm_store_si128((__m128i *)(output_w + 0 * stride_w), u0);
-    _mm_store_si128((__m128i *)(output_w + 1 * stride_w), u1);
-    _mm_store_si128((__m128i *)(output_w + 2 * stride_w), u2);
-    _mm_store_si128((__m128i *)(output_w + 3 * stride_w), u3);
-    _mm_store_si128((__m128i *)(output_w + 4 * stride_w), u4);
-    _mm_store_si128((__m128i *)(output_w + 5 * stride_w), u5);
-    _mm_store_si128((__m128i *)(output_w + 6 * stride_w), u6);
-    _mm_store_si128((__m128i *)(output_w + 7 * stride_w), u7);
+    _mm_storeu_si128((__m128i *)(output_w + 0 * stride_w), u0);
+    _mm_storeu_si128((__m128i *)(output_w + 1 * stride_w), u1);
+    _mm_storeu_si128((__m128i *)(output_w + 2 * stride_w), u2);
+    _mm_storeu_si128((__m128i *)(output_w + 3 * stride_w), u3);
+    _mm_storeu_si128((__m128i *)(output_w + 4 * stride_w), u4);
+    _mm_storeu_si128((__m128i *)(output_w + 5 * stride_w), u5);
+    _mm_storeu_si128((__m128i *)(output_w + 6 * stride_w), u6);
+    _mm_storeu_si128((__m128i *)(output_w + 7 * stride_w), u7);
 }
 
 void eb_av1_inv_txfm2d_add_8x8_sse4_1(const int32_t *input,
@@ -998,7 +998,7 @@ void eb_av1_inv_txfm2d_add_8x8_sse4_1(const int32_t *input,
 static void load_buffer_16x16(const int32_t *coeff, __m128i *in) {
     int32_t i;
     for (i = 0; i < 64; ++i)
-        in[i] = _mm_load_si128((const __m128i *)(coeff + (i << 2)));
+        in[i] = _mm_loadu_si128((const __m128i *)(coeff + (i << 2)));
 }
 
 static void assign_8x8_input_from_16x16(const __m128i *in, __m128i *in8x8,
